=== debian/changelog ===
asgi-lifespan (2.1.0-3) unstable; urgency=medium

  * Skip failing tests marked 'trio' in debian/rules and in autopkgtest.
    (Closes: #1066787)
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 18 Jul 2024 03:56:56 +0900

asgi-lifespan (2.1.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 20 Aug 2023 13:19:02 +0100

asgi-lifespan (2.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1042549)

 -- Edward Betts <edward@4angle.com>  Sun, 30 Jul 2023 08:51:10 +0100
