=== debian/control ===
Source: asgi-lifespan
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-anyio <!nocheck>,
               python3-httpx <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-tornasync <!nocheck>,
               python3-pytest-trio <!nocheck>,
               python3-pytest-twisted <!nocheck>,
               python3-setuptools,
               python3-sniffio,
               python3-starlette <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/florimondmanca/asgi-lifespan
Vcs-Browser: https://salsa.debian.org/python-team/packages/asgi-lifespan
Vcs-Git: https://salsa.debian.org/python-team/packages/asgi-lifespan.git

Package: python3-asgi-lifespan
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Programmatic startup/shutdown of ASGI apps
 Programmatically send startup/shutdown lifespan events into ASGI applications.
 When used in combination with an ASGI-capable HTTP client such as HTTPX, this
 allows mocking or testing ASGI applications without having to spin up an ASGI
 server.
