=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/asgi-lifespan-$1\.tar\.gz/ \
  https://github.com/florimondmanca/asgi-lifespan/tags .*/v?(\d\S+)\.tar\.gz
